package com.jeeplus.modules.sg.budgetSpectaculars.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 项目明细表
 * @author: 徐滕
 * @create: 2021-09-14 16:05
 **/
public class ProjectDetailInfo {
    private String companyCode;     //公司代码
    private String profitCenter;    //利润中心
    private String postingDate;     //过账日期
    private String voucherNumber;   //凭证编码
    private String filingDocumentsType; //归档凭证类型
    private String filingDocumentsNumber; //归档凭证编码
    private String voucherRise;     //凭证抬头文本
    private String hookWBSNumber;   //挂接WBS编码
    private String wbsNumber;       //wbs编码
    private String wbsDescription;  //wbs描述
    private String projectDefinitionNumber; //项目定义编码
    private String projectDefinitionDescription;    //项目定义描述
    private String courseCode;      //科目代码
    private String courseName;      //科目名称
    private String costBreakdown;   //费用明细
    private String costBreakdownName;   //费用明细名称
    private String receivablesAndPayables;      //往来款项性质
    private String receivablesAndPayablesName;  //往来款项性质名称
    private String borrowingTheDirection;   //借贷方向
    private String rowProjectMoney;     //行项目金额
    private String count;       //数量
    private String batch;       //批次
    private String materialCode;    //物料编码
    private String materialDescription; //物料描述
    private String unit;        //单位
    private String vatPaid;     //进项税额
    private String rollOutVATPaid;  //转出进项税额
    private String rollOutEvidenceNo;   //转出凭证号码
    private String rollOutEvidenceDate; //转出凭证过账日期
    private String supplier;        //供应商
    private String supplierName;    //供应商名称

    @ExcelField(title="公司代码", align=2, sort=1)
    public String getCompanyCode() {
        return companyCode;
    }
    @ExcelField(title="利润中心", align=2, sort=2)
    public String getProfitCenter() {
        return profitCenter;
    }
    @ExcelField(title="过账日期", align=2, sort=3)
    public String getPostingDate() {
        return postingDate;
    }
    @ExcelField(title="凭证编码", align=2, sort=4)
    public String getVoucherNumber() {
        return voucherNumber;
    }
    @ExcelField(title="归档凭证类型", align=2, sort=5)
    public String getFilingDocumentsType() {
        return filingDocumentsType;
    }
    @ExcelField(title="归档凭证编码", align=2, sort=6)
    public String getFilingDocumentsNumber() {
        return filingDocumentsNumber;
    }
    @ExcelField(title="凭证抬头文本", align=2, sort=7)
    public String getVoucherRise() {
        return voucherRise;
    }
    @ExcelField(title="挂接WBS编码", align=2, sort=8)
    public String getHookWBSNumber() {
        return hookWBSNumber;
    }
    @ExcelField(title="wbs编码", align=2, sort=9)
    public String getWbsNumber() {
        return wbsNumber;
    }
    @ExcelField(title="wbs描述", align=2, sort=10)
    public String getWbsDescription() {
        return wbsDescription;
    }
    @ExcelField(title="项目定义编码", align=2, sort=11)
    public String getProjectDefinitionNumber() {
        return projectDefinitionNumber;
    }
    @ExcelField(title="项目定义描述", align=2, sort=12)
    public String getProjectDefinitionDescription() {
        return projectDefinitionDescription;
    }
    @ExcelField(title="科目代码", align=2, sort=13)
    public String getCourseCode() {
        return courseCode;
    }
    @ExcelField(title="科目名称", align=2, sort=14)
    public String getCourseName() {
        return courseName;
    }
    @ExcelField(title="费用明细", align=2, sort=15)
    public String getCostBreakdown() {
        return costBreakdown;
    }
    @ExcelField(title="费用明细名称", align=2, sort=16)
    public String getCostBreakdownName() {
        return costBreakdownName;
    }
    @ExcelField(title="往来款项性质", align=2, sort=17)
    public String getReceivablesAndPayables() {
        return receivablesAndPayables;
    }
    @ExcelField(title="往来款项性质名称", align=2, sort=18)
    public String getReceivablesAndPayablesName() {
        return receivablesAndPayablesName;
    }
    @ExcelField(title="借贷方向", align=2, sort=19)
    public String getBorrowingTheDirection() {
        return borrowingTheDirection;
    }
    @ExcelField(title="行项目金额", align=2, sort=20)
    public String getRowProjectMoney() {
        return rowProjectMoney;
    }
    @ExcelField(title="数量", align=2, sort=21)
    public String getCount() {
        return count;
    }
    @ExcelField(title="批次", align=2, sort=22)
    public String getBatch() {
        return batch;
    }
    @ExcelField(title="物料编码", align=2, sort=23)
    public String getMaterialCode() {
        return materialCode;
    }
    @ExcelField(title="物料描述", align=2, sort=24)
    public String getMaterialDescription() {
        return materialDescription;
    }
    @ExcelField(title="单位", align=2, sort=25)
    public String getUnit() {
        return unit;
    }
    @ExcelField(title="进项税额", align=2, sort=26)
    public String getVatPaid() {
        return vatPaid;
    }
    @ExcelField(title="转出进项税额", align=2, sort=27)
    public String getRollOutVATPaid() {
        return rollOutVATPaid;
    }
    @ExcelField(title="转出凭证号码", align=2, sort=28)
    public String getRollOutEvidenceNo() {
        return rollOutEvidenceNo;
    }
    @ExcelField(title="转出凭证过账日期", align=2, sort=29)
    public String getRollOutEvidenceDate() {
        return rollOutEvidenceDate;
    }
    @ExcelField(title="供应商", align=2, sort=30)
    public String getSupplier() {
        return supplier;
    }
    @ExcelField(title="供应商名称", align=2, sort=31)
    public String getSupplierName() {
        return supplierName;
    }

    public void setCompanyCode(String companyCode) {
        this.companyCode = companyCode;
    }

    public void setProfitCenter(String profitCenter) {
        this.profitCenter = profitCenter;
    }

    public void setPostingDate(String postingDate) {
        this.postingDate = postingDate;
    }

    public void setVoucherNumber(String voucherNumber) {
        this.voucherNumber = voucherNumber;
    }

    public void setFilingDocumentsType(String filingDocumentsType) {
        this.filingDocumentsType = filingDocumentsType;
    }

    public void setFilingDocumentsNumber(String filingDocumentsNumber) {
        this.filingDocumentsNumber = filingDocumentsNumber;
    }

    public void setVoucherRise(String voucherRise) {
        this.voucherRise = voucherRise;
    }

    public void setHookWBSNumber(String hookWBSNumber) {
        this.hookWBSNumber = hookWBSNumber;
    }

    public void setWbsNumber(String wbsNumber) {
        this.wbsNumber = wbsNumber;
    }

    public void setWbsDescription(String wbsDescription) {
        this.wbsDescription = wbsDescription;
    }

    public void setProjectDefinitionNumber(String projectDefinitionNumber) {
        this.projectDefinitionNumber = projectDefinitionNumber;
    }

    public void setProjectDefinitionDescription(String projectDefinitionDescription) {
        this.projectDefinitionDescription = projectDefinitionDescription;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public void setCostBreakdown(String costBreakdown) {
        this.costBreakdown = costBreakdown;
    }

    public void setCostBreakdownName(String costBreakdownName) {
        this.costBreakdownName = costBreakdownName;
    }

    public void setReceivablesAndPayables(String receivablesAndPayables) {
        this.receivablesAndPayables = receivablesAndPayables;
    }

    public void setReceivablesAndPayablesName(String receivablesAndPayablesName) {
        this.receivablesAndPayablesName = receivablesAndPayablesName;
    }

    public void setBorrowingTheDirection(String borrowingTheDirection) {
        this.borrowingTheDirection = borrowingTheDirection;
    }

    public void setRowProjectMoney(String rowProjectMoney) {
        this.rowProjectMoney = rowProjectMoney;
    }

    public void setCount(String count) {
        this.count = count;
    }

    public void setBatch(String batch) {
        this.batch = batch;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public void setMaterialDescription(String materialDescription) {
        this.materialDescription = materialDescription;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public void setVatPaid(String vatPaid) {
        this.vatPaid = vatPaid;
    }

    public void setRollOutVATPaid(String rollOutVATPaid) {
        this.rollOutVATPaid = rollOutVATPaid;
    }

    public void setRollOutEvidenceNo(String rollOutEvidenceNo) {
        this.rollOutEvidenceNo = rollOutEvidenceNo;
    }

    public void setRollOutEvidenceDate(String rollOutEvidenceDate) {
        this.rollOutEvidenceDate = rollOutEvidenceDate;
    }

    public void setSupplier(String supplier) {
        this.supplier = supplier;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }
}
